%define name	tovid
%define version	0.31
%define release %mkrel 1

%define title ToVid
%define longtitle Video disc creator

Name: 	 	%{name}
Summary: 	Video disc authoring tools
Version: 	%{version}
Release: 	%{release}

Source:		http://tovid.googlecode.com/files/%{name}-%{version}.tar.gz
# Official upstream patches for various bugs: http://www.createphpbb.com/tovid/viewtopic.php?t=242
URL:		http://tovid.sourceforge.net/
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	python
BuildRequires:	txt2tags
BuildRequires:	desktop-file-utils
Requires:	python
Requires:	wxPythonGTK
Requires:	wxpython2.6
Requires:	mplayer mencoder
Requires:	mjpegtools
Requires:	ImageMagick
Requires:	ffmpeg
Requires:	dvdauthor
Requires:	vcdimager
Requires:	dvd+rw-tools
Requires:	cdrdao
# for todiscgui, bug #31895
Requires:	tkinter
BuildArch:	noarch
Provides:	%name-gui

%description
Tovid is a collection of video disc authoring tools; it can help you create
your own DVDs, VCDs, and SVCDs for playback on your home DVD player.

Note: Some features will be unavailable unless you also install the
      transcode package, available elsewhere.

%prep
%setup -q

%build
%configure2_5x

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

perl -pi -e 's,tovid.svg,tovid,g' $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{py_puresitedir}/libtovid
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_iconsdir}/hicolor/*/apps/%name.png


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.31-1mdv2008.1
+ Revision: 140921
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 0.31-1mdv2008.0
+ Revision: 80647
- clean file list
- drop X-Mandriva menu category
- no need to fix names of fd.o icons, fixed upstream
- drop legacy icons
- drop fix for installation locations (merged upstream)
- drop all patches (merged or superseded upstream)
- use Fedora license policy
- new release 0.31

* Fri Jul 13 2007 Adam Williamson <awilliamson@mandriva.com> 0.30-4mdv2008.0
+ Revision: 51886
- requires tkinter (fixes #31895)

* Sat Jun 02 2007 Adam Williamson <awilliamson@mandriva.com> 0.30-3mdv2008.0
+ Revision: 34482
- require cdrdao (bug #31156)

* Sat Jun 02 2007 Adam Williamson <awilliamson@mandriva.com> 0.30-2mdv2008.0
+ Revision: 34468
- correct build on x86-64 buildhost
- add two upstream patches to fix various issues
- remove old menu
- new release 0.30


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.28-2mdv2007.0
+ Revision: 91322
- Rebuild
- import tovid-0.28-1mdv2007.0

* Thu Jul 20 2006 Jerome Martin <jmartin@mandriva.org> 0.28-1mdv2007.0
- 0.28
- xdg menu

* Sat Jun 17 2006 Austin Acton <austin@mandriva.org> 0.27-1mdv2007.0
- 0.27
- make transcode dependency optional
- gui now bundled in main tarball
- update description

* Sat Nov 19 2005 Austin Acton <austin@zarb.org> 0.23-1plf
- 0.23
- add man pages

* Sun Oct 30 2005 Austin Acton <austin@zarb.org> 0.22-1plf
- 0.22

* Sun Aug 28 2005 Austin Acton <austin@zarb.org> 0.20-1plf
- initial package

